RDKit::RandomSampleAllBBsStrategy Class Reference

This is a class for randomly enumerating reagents that ensures all reagents. More...

`#include <RandomSampleAllBBs.h>`

Inheritance diagram for RDKit::RandomSampleAllBBsStrategy:

## Public Member Functions

| RandomSampleAllBBsStrategy ()
void | initializeStrategy (const ChemicalReaction &, const EnumerationTypes::BBS &)
virtual const char * | type () const
virtual const EnumerationTypes::RGROUPS & | next ()
| The current permutation {r1, r2, ...}. More...
virtual boost::uint64_t | getPermutationIdx () const
| Returns how many permutations have been processed by this strategy. More...
virtual | operator bool () const
EnumerationStrategyBase * | copy () const
| copy the enumeration strategy complete with current state More...
void | initialize (const ChemicalReaction &reaction, const EnumerationTypes::BBS &building_blocks)
Public Member Functions inherited from RDKit::EnumerationStrategyBase
| EnumerationStrategyBase ()
virtual | ~EnumerationStrategyBase ()
void | initialize (const ChemicalReaction &reaction, const EnumerationTypes::BBS &building_blocks)
const EnumerationTypes::RGROUPS & | getPosition () const
| The current position in the enumeration. More...
boost::uint64_t | getNumPermutations () const
bool | skip (boost::uint64_t skipCount)

## Additional Inherited Members

Static Public Attributes inherited from RDKit::EnumerationStrategyBase
static const boost::uint64_t | EnumerationOverflow
Protected Member Functions inherited from RDKit::EnumerationStrategyBase
void | internalInitialize (const EnumerationTypes::RGROUPS &rgroups)
Protected Attributes inherited from RDKit::EnumerationStrategyBase
EnumerationTypes::RGROUPS | m_permutation
EnumerationTypes::RGROUPS | m_permutationSizes
boost::uint64_t | m_numPermutations

## Detailed Description

This is a class for randomly enumerating reagents that ensures all reagents.

RandomSampleAllBBsStrategy Randomly sample rgroup indices

basic usage:

    std::vector<MOL_SPTR_VECT> bbs;
    bbs.push_back( bbs_for_reactants_1 );
    bbs.push_back( bbs_for_reactants_2 );

    RandomSampleAllBBsStrategy rgroups;
    rgroups.initialize(rxn, bbs);
    for(size_t i=0; i<num_samples && rgroups; ++i) {
      MOL_SPTR_VECT rvect = getReactantsFromRGroups(bbs, rgroups.next());
      std::vector<MOL_SPTR_VECT> lprops = rxn.RunReactants(rvect);
      ...
    }

See EnumerationStrategyBase for more details and usage.

Definition at line 68 of file RandomSampleAllBBs.h.

## Constructor & Destructor Documentation

## RandomSampleAllBBsStrategy()

RDKit::RandomSampleAllBBsStrategy::RandomSampleAllBBsStrategy | ( |  | ) |

inline

Definition at line 78 of file RandomSampleAllBBs.h.

## Member Function Documentation

## copy()

EnumerationStrategyBase* RDKit::RandomSampleAllBBsStrategy::copy | ( |  | ) | const

inline virtual

copy the enumeration strategy complete with current state

Implements RDKit::EnumerationStrategyBase.

Definition at line 134 of file RandomSampleAllBBs.h.

## getPermutationIdx()

virtual boost::uint64_t RDKit::RandomSampleAllBBsStrategy::getPermutationIdx | ( |  | ) | const

inline virtual

Returns how many permutations have been processed by this strategy.

Implements RDKit::EnumerationStrategyBase.

Definition at line 128 of file RandomSampleAllBBs.h.

## initialize()

void RDKit::EnumerationStrategyBase::initialize

inline

Initialize the enumerator based on the reaction and the supplied building blocks This is the standard API point.

Definition at line 141 of file EnumerationStrategyBase.h.

## initializeStrategy()

void RDKit::RandomSampleAllBBsStrategy::initializeStrategy | ( | const ChemicalReaction & | ,
|  | const EnumerationTypes::BBS & |
| ) |  |

inline virtual

Implements RDKit::EnumerationStrategyBase.

Definition at line 92 of file RandomSampleAllBBs.h.

## next()

virtual const EnumerationTypes::RGROUPS& RDKit::RandomSampleAllBBsStrategy::next | ( |  | ) |

inline virtual

The current permutation {r1, r2, ...}.

Implements RDKit::EnumerationStrategyBase.

Definition at line 111 of file RandomSampleAllBBs.h.

## operator bool()

virtual RDKit::RandomSampleAllBBsStrategy::operator bool | ( |  | ) | const

inline virtual

returns true if there are more permutations left random enumerators may always return true...

Implements RDKit::EnumerationStrategyBase.

Definition at line 132 of file RandomSampleAllBBs.h.

## type()

virtual const char* RDKit::RandomSampleAllBBsStrategy::type | ( |  | ) | const

inline virtual

Reimplemented from RDKit::EnumerationStrategyBase.

Definition at line 108 of file RandomSampleAllBBs.h.

The documentation for this class was generated from the following file:

- RandomSampleAllBBs.h